package de.fhkoeln.cvogt.android.propertyanimationandroid;

// Programmierung verteilter und mobiler Anwendungen
// (Programming Distributed and Mobile Applications)
// Cologne University of Applied Sciences
// Institute of Communications Engineering
// 26.2.2015

// This app demonstrates various techniques for "property animation", i.e. to animate the properties of View objects

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.animation.AccelerateDecelerateInterpolator;
import android.widget.*;

public class MainActivity extends ListActivity {

    String[] choices = { "Animation with a PropertyAnimator", "Animation of a Single Property", "Animation of Multiple Properties", "Animation defined in XML", "Animation with Non-Constant Speed", "Animation of Non-Numerical Properties", "Animation with Self-Defined Timing", "Animation with a ValueAnimator", "Layout Transition" };

    ListAdapter adapter;

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        adapter = new ArrayAdapter<String>(this,android.R.layout.simple_list_item_1,choices);
        setListAdapter(adapter);
    }

    protected void onListItemClick(ListView liste, View datenElement, int position, long id) {
        super.onListItemClick(liste, datenElement, position, id);
        String choice = ((TextView)datenElement).getText().toString();
        if (choice.equals("Animation with a PropertyAnimator"))
            startActivity (new Intent (this, ViewPropertyAnimatorActivity.class));
        if (choice.equals("Animation of a Single Property"))
            startActivity (new Intent (this, SinglePropertyAnimationActivity.class));
        if (choice.equals("Animation of Multiple Properties"))
            startActivity (new Intent (this, MultiplePropertiesAnimationActivity.class));
        if (choice.equals("Animation defined in XML"))
            startActivity (new Intent (this, XMLDefinedAnimationActivity.class));
        if (choice.equals("Animation with Non-Constant Speed"))
            startActivity (new Intent (this, NonConstantSpeedAnimationActivity.class));
        if (choice.equals("Animation of Non-Numerical Properties"))
            startActivity (new Intent (this, NonNumericalValuesAnimationActivity.class));
        if (choice.equals("Animation with Self-Defined Timing"))
            startActivity (new Intent (this, SelfDefinedTimingAnimationActivity.class));
        if (choice.equals("Animation with a ValueAnimator"))
            startActivity (new Intent (this, ValueAnimatorAnimationActivity.class));
        if (choice.equals("Layout Transition"))
            startActivity (new Intent (this, LayoutTransitionActivity.class));
    }

}



