package de.fhkoeln.cvogt.android.propertyanimationandroid;

// Programmierung verteilter und mobiler Anwendungen
// (Programming Distributed and Mobile Applications)
// Cologne University of Applied Sciences
// Institute of Communications Engineering
// 15.11.2017

// This activity demonstrates how to use the View method animate() (i.e. a ViewPropertyAnimator) to animate various properties of a view.

import android.app.Activity;
import android.os.Bundle;
import android.view.View;

public class ViewPropertyAnimatorActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.viewpropertyanimator_animation);

    }

    public void startAnimation(View v) {

        int duration = 1500;  // duration of the animation in ms
        int screenWidth = getResources().getDisplayMetrics().widthPixels;
        int screenHeight = getResources().getDisplayMetrics().heightPixels;

        // animate a single property: x position
        View animView1 = findViewById(R.id.view01);
        animView1.animate().x(4*screenWidth/5).setDuration(duration).start();
            // animate() returns a ViewPropertyAnimator for the object. x() specifies the target x position of the animView1 in the animation.

        // animate multiple properties: x position, y position, size, rotation
        View animView2 = findViewById(R.id.view02);
        animView2.animate().x(7*screenWidth/10).y(3*screenHeight/4).scaleX(2.0f).scaleY(2.0f).rotation(360).alpha(0.5f).setDuration(duration).start();

    }

    public void reset(View v) {

        setContentView(R.layout.viewpropertyanimator_animation);

    }

}
